Page MenuHomePhabricator

Geodata not being returned for some files
Closed, ResolvedPublic

Description

This file has a {{location}} template, but it's coordinates are not being returned by the API. For example, it and another image both have coordinates, but only the other has them returned by the API call.

A similar problem seems to exist on Beta Commons as well.

Details

Related Gerrit Patches:
mediawiki/extensions/GeoData : masterDon't lose CoordinatesOutput when multiple slots are available
mediawiki/extensions/Wikibase : masterStop accessing ParserOutput::geoData field directly
mediawiki/extensions/GeoData : masterIsolate ParserOutput::geoData magic field

Event Timeline

Restricted Application added a project: Discovery-Search. · View Herald TranscriptMay 19 2019, 7:08 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald Transcript
dcausse claimed this task.May 22 2019, 10:05 AM
dcausse triaged this task as Medium priority.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.

Change 511883 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/GeoData@master] Don't lose CoordinatesOutput when multiple slots are available

https://gerrit.wikimedia.org/r/511883

Change 512167 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Wikibase@master] Stop accessing ParserOutput::geoData field directly

https://gerrit.wikimedia.org/r/512167

Change 512166 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/GeoData@master] Isolate ParserOutput::geoData magic field

https://gerrit.wikimedia.org/r/512166

Change 512166 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Isolate ParserOutput::geoData magic field

https://gerrit.wikimedia.org/r/512166

Change 512167 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Stop accessing ParserOutput::geoData field directly

https://gerrit.wikimedia.org/r/512167

Change 511883 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Don't lose CoordinatesOutput when multiple slots are available

https://gerrit.wikimedia.org/r/511883

debt closed this task as Resolved.Jun 21 2019, 2:25 PM